Subject: HOWTO maintainer needed
From: [email-masked] (Matt Welsh)
To: [email-masked]
Cc: [email-masked], [email-masked] (Lasu)
Date: Mon, 6 Feb 1995 01:41:40 EST

So, I'd like to get a definite "yes" or "no" from anyone who's interested
in maintaining some aspect of the HOWTO archives soon. I've heard from
some of you but the responses were along the lines of "I'll do it if
nobody else does". Let's work it this way: If you want to do a job, or
can do a job, raise your hand independently of what anybody else wants
to do. (Mail me directly.) Then we'll pick and choose, giving priority
of course to the people with the most enthusiasm and network access. :)

Let me enumerate the jobs:

	1) Act as "secretary": Take in new HOWTOs and updated HOWTOs.
	   Run formatter on them, including TeX and nroff, to make 
	   sure that no bugs exist in the source files. I've got a
	   Makefile and a set of scripts which automate nearly all 
	   of this.

	   Also you will need to keep the HOWTO-Index and various
	   other metadocuments up to date. This is rather easy 
	   as well. I can continue to take care of the LDP-L mailing
	   list, and you'll have to tell me about any new HOWTO
	   authors who should be added. You'll have to consider 
	   proposals for new HOWTOs and decide whether to add them
	   to the set.

	   To do this job you'll need Linuxdoc-SGML, TeX, groff, Perl,
	   make, and working knowledge of all of them. You can of 
	   course modify or replace my own scripts if you don't want 
	   to use them, but you still need Linuxdoc-SGML, TeX,
	   and groff. You'll also need network access of some kind
	   to get the results to person number (2). I think it's
	   easier if person (1) and person (2) are the same...

	   You'll also need diskspace. du -s on my HOWTO directory
	   shows around 12 megs right now. Some of that, say a couple
	   of megs, could be cleaned up. Plus I keep around a lot of
	   files, not cleaning up the results of the last HOWTO formatting
	   run. But as the HOWTO archives grow you'll need more space...

	2) Take formatted output and archive in various ways. The 
	   output from the formatter, for each SGML HOWTO, is:
		- Plain ASCII file
		- gzipped .dvi file
		- gzipped .ps file
		- gzipped tarfile containing HTML
	   Again, "the formatter" refers to Linuxdoc-SGML plus my
	   Makefile and various scripts to make things more automatic.
	   Mini-HOWTOs and a few other HOWTOs are in only plain ASCII
	   format, and are handled by the Makefile appropriately.

	Two kinds of archiving need to be done:
		a) FTP site: Somehow upload HOWTOs directly to 
		 main site, right now sunsite.unc.edu:/pub/Linux/docs/HOWTO.
		 Various formats placed in various subdirectories
		 therein.To do this you'll need login access to sunsite
		 to use rdist, or you can upload via FTP (with a personal
		 account, but one which doesn't enable shell logins).
		 rdist is nice because it only updates the files that have
		 changed, but your Makefile can do that through FTP 
		 as well.

		b) WWW site: Somehow upload HTML HOWTOs (individual 
		HTML files) to main site, right now sunsite. For this
		you'll need login access, to use rdist. Or I could
		place the HTML HOWTO directory in sunsite's FTP area so
		you could upload via FTP.

	If you use rdist this archiving is 100% automatic. Therefore
	I think it best for persons (1) and (2) to be the same, otherwise
	you have to coordinate getting the docs back and forth. 

	One alternative for archiving is to have the "root site" be a
	machine nearer to you and have sunsite mirror that machine. I don't
	like that idea because running mirror software nightly on sunsite
	is rather costly, espectially when the HOWTOs won't be updated
	that often. As long as you have relatively reliable network
	access to a machine such as sunsite it should be no problem to
	do the uploads using rdist, and I can get you an account. 

	3) Take plain ASCII HOWTOs and post them. I have some scripts
	to do this as well. One script splits the ASCII file into pieces
	and assembles the headers, and sends it off to inews. To do
	this job you need to get the plain ASCII HOWTOs and run them through
	such a system, posting them either monthly or whenever they are
	updated. We also might want to create a separate HOWTO mailing list
	for people who want such a thing. This job is pretty easy and
	folks who already do periodic postings (such as Ian) could do this
	with ease.

At any rate I would really appreciate help from anyone who can provide
it. The above is merely what I do now---you don't have to do things 
anything like this, but the _results_ as seen by the outside world must 
be more or less the same. I've been doing an awful job of keeping up
with the HOWTOs recently, I know, and it's time for me to pass the torch
onto one or more people who can.

Thanks a lot!

mdw